#version 330 core

layout (location = 0) in vec3 inPos;
layout (location = 3) in vec2 inTexture;

out vec2 textCoordinates;

uniform mat4 model;
uniform mat4 camMatrix;

void main()
{
    textCoordinates = inTexture;
    gl_Position = camMatrix * model * vec4(inPos, 1.0f);
}